Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwayDiagramViewOptions

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.DiagramViewOptions
              biouml.standard.diagram.PathwayDiagramViewOptions

Direct Known Subclasses:
  GeneNetworkDiagramType.GeneNetworkDiagramViewOptions, MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions, PathwaySimulationDiagramViewOptions, SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions

public class PathwayDiagramViewOptions
extends DiagramViewOptions

Nested Class Summary
`static class` | `PathwayDiagramViewOptions.RelationTypeColor`
`class` | `PathwayDiagramViewOptions.RelationTypeStroke`

Field Summary
`Brush` | `ActiveProteinBrush`
`boolean` | `automaticallyLocateReactions`
`protected static java.lang.String` | `BRUSH`
`Pen` | `CatalystActionPen`
`Brush` | `CellCytoplasmBrush`
`Brush` | `CellNucleusBrush`
`protected ColorFont` | `conceptTitleFont`
`Brush` | `DecreaseActionBrush`
`protected static java.lang.String` | `DEFAULT`
`protected ColorFont` | `functionTitleFont`
`Brush` | `GeneBrush`
`Brush` | `InactiveProteinBrush`
`Brush` | `IncreaseActionBrush`
`Pen` | `InhibitorActionPen`
`Brush` | `ModefiedProteinBrush`
`protected static java.lang.String` | `PEN`
`Pen` | `processPen`
`protected ColorFont` | `processTitleFont`
`Brush` | `ProteinBrush`
`Brush` | `ReactionBrush`
`Pen` | `ReactionPen`
`protected ColorFont` | `relationTitleFont`
`protected PathwayDiagramViewOptions.RelationTypeColor[]` | `relationTypeColors`
`protected PathwayDiagramViewOptions.RelationTypeStroke[]` | `relationTypeStrokes`
`protected java.util.HashMap` | `semanticRelationOptions`
`boolean` | `showReactionName`
`Pen` | `statePen`
`protected ColorFont` | `stateTitleFont`
`Brush` | `SubstanceBrush`
`Brush` | `SwitchOffActionBrush`
`Pen` | `SwitchOffActionPen`
`Brush` | `SwitchOnActionBrush`
`Pen` | `SwitchOnActionPen`
`protected java.awt.Point` | `titleMargin` Margin between title and surrounding it raound rectangle.

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, compartmentTitleFont, defaultFont, defaultPen, designMode, diagramTitleAlignment, diagramTitleFont, diagramTitleVisible, nodePen, nodeTitleFont, nodeTitleMargin, noteBrush, noteLinkPen, noteMargin`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`PathwayDiagramViewOptions(com.beanexplorer.beans.Option parent)` Creates `PathwayDiagramViewOptions` and initializes it.

Method Summary
`PathwayDiagramViewOptions.RelationTypeColor[]` | `getRelationTypeColors()`
`PathwayDiagramViewOptions.RelationTypeStroke[]` | `getRelationTypeStrokes()`
`Brush` | `getSemanticRelationBrush(java.lang.String relationType)`
`Pen` | `getSemanticRelationPen(java.lang.String relationType, java.lang.String participationType)`
`java.awt.Point` | `getTitleMargin()`
`void` | `initSemanticRelationOptions()`
`void` | `setRelationTypeColors(PathwayDiagramViewOptions.RelationTypeColor[] relationTypeColors)`
`void` | `setRelationTypeStrokes(PathwayDiagramViewOptions.RelationTypeStroke[] relationTypeStrokes)`
`void` | `setTitleMargin(java.awt.Point titleMargin)`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PEN

    protected static java.lang.String PEN

### BRUSH

    protected static java.lang.String BRUSH

### DEFAULT

    protected static java.lang.String DEFAULT

### CellCytoplasmBrush

    public Brush CellCytoplasmBrush

### CellNucleusBrush

    public Brush CellNucleusBrush

### GeneBrush

    public Brush GeneBrush

### ProteinBrush

    public Brush ProteinBrush

### ActiveProteinBrush

    public Brush ActiveProteinBrush

### InactiveProteinBrush

    public Brush InactiveProteinBrush

### ModefiedProteinBrush

    public Brush ModefiedProteinBrush

### CatalystActionPen

    public Pen CatalystActionPen

### InhibitorActionPen

    public Pen InhibitorActionPen

### SwitchOnActionPen

    public Pen SwitchOnActionPen

### SwitchOffActionPen

    public Pen SwitchOffActionPen

### ReactionPen

    public Pen ReactionPen

### IncreaseActionBrush

    public Brush IncreaseActionBrush

### DecreaseActionBrush

    public Brush DecreaseActionBrush

### SwitchOnActionBrush

    public Brush SwitchOnActionBrush

### SwitchOffActionBrush

    public Brush SwitchOffActionBrush

### ReactionBrush

    public Brush ReactionBrush

### SubstanceBrush

    public Brush SubstanceBrush

### automaticallyLocateReactions

    public boolean automaticallyLocateReactions

### showReactionName

    public boolean showReactionName

### conceptTitleFont

    protected ColorFont conceptTitleFont

### functionTitleFont

    protected ColorFont functionTitleFont

### processTitleFont

    protected ColorFont processTitleFont

### processPen

    public Pen processPen

### stateTitleFont

    protected ColorFont stateTitleFont

### statePen

    public Pen statePen

### relationTitleFont

    protected ColorFont relationTitleFont

### titleMargin

    protected java.awt.Point titleMargin

  Margin between title and surrounding it raound rectangle.

### relationTypeColors

    protected PathwayDiagramViewOptions.RelationTypeColor[] relationTypeColors

### relationTypeStrokes

    protected PathwayDiagramViewOptions.RelationTypeStroke[] relationTypeStrokes

### semanticRelationOptions

    protected java.util.HashMap semanticRelationOptions

Constructor Detail

### PathwayDiagramViewOptions

    public PathwayDiagramViewOptions(com.beanexplorer.beans.Option parent)

  Creates `PathwayDiagramViewOptions` and initializes it.

Parameters:
  `parent` - parent property

Method Detail

### getTitleMargin

    public java.awt.Point getTitleMargin()

### setTitleMargin

    public void setTitleMargin(java.awt.Point titleMargin)

### getRelationTypeColors

    public PathwayDiagramViewOptions.RelationTypeColor[] getRelationTypeColors()

### setRelationTypeColors

    public void setRelationTypeColors(PathwayDiagramViewOptions.RelationTypeColor[] relationTypeColors)

### getRelationTypeStrokes

    public PathwayDiagramViewOptions.RelationTypeStroke[] getRelationTypeStrokes()

### setRelationTypeStrokes

    public void setRelationTypeStrokes(PathwayDiagramViewOptions.RelationTypeStroke[] relationTypeStrokes)

### initSemanticRelationOptions

    public void initSemanticRelationOptions()

### getSemanticRelationPen

    public Pen getSemanticRelationPen(java.lang.String relationType,
                                      java.lang.String participationType)

### getSemanticRelationBrush

    public Brush getSemanticRelationBrush(java.lang.String relationType)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.